### Method

# Gtk.CellArea.activate_cell

#### Declaration [src]

    gboolean
    gtk_cell_area_activate_cell (
      GtkCellArea* area,
      GtkWidget* widget,
      GtkCellRenderer* renderer,
      GdkEvent* event,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags
    )

#### Description [src]

This is used by `GtkCellArea` subclasses when handling events to activate cells, the base `GtkCellArea` class activates cells for keyboard events for free in its own GtkCellArea->`activate()` implementation.

#### Parameters

`widget` | `GtkWidget`
| the `GtkWidget` that `area` is rendering onto
| Ownership is not transferred to the callee
`renderer` | `GtkCellRenderer`
| the `GtkCellRenderer` in `area` to activate
| Ownership is not transferred to the callee
`event` | `GdkEvent*`
| the `GdkEvent` for which cell activation should occur
| Ownership is not transferred to the callee
`cell_area` | `const GdkRectangle*`
| the `GdkRectangle` in `widget` relative coordinates of `renderer` for the current row.
| Ownership is not transferred to the callee
`flags` | `GtkCellRendererState`
| the `GtkCellRendererState` for `renderer`

#### Return value

Returns: `gboolean`
whether cell activation was successful